Skip to main content
POST
UpdateCredentials

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

App identifier.

connector_id
string
required

MCP server identifier (connector ID).

Body

application/json

MCPServerServiceUpdateCredentialsRequest updates the auth credentials and config fields for an existing MCP server. Secrets are sealed before storage.

externalConfig
Mcp Server External Config · object | null

MCPServerExternalConfig configures an external MCP server accessed via HTTP transport. The server is routed through the MCP gateway for credential decryption.

This message contains a oneof named auth_config. Only a single field of the following list may be set at a time:

  • none
  • bearerToken
  • oauth2
  • customHeader
  • basicAuth
hostedConfig
Mcp Server Hosted Config · object | null

MCPServerHostedConfig configures a hosted MCP server backed by the MCP gateway.

This message contains a oneof named auth_config. Only a single field of the following list may be set at a time:

  • none
  • bearerToken
  • oauth2
  • customHeader
  • googleServiceAccount
  • awsSigv4
  • basicAuth
updateMask
string | null

Response

200 - application/json

MCPServerServiceUpdateCredentialsResponse returns the updated MCP server.

MCPServerServiceUpdateCredentialsResponse returns the updated MCP server.

mcpServer
Mcp Server View · object | null

MCPServerView is the API representation of an MCP server (backed by a Connector).